Puzzle / Developers
API referenceBills

Get Bills

GET /company/{id}/bills

GET/company/{id}/bills

Path Parameters

id*string

The company ID

Length1 <= length

Query Parameters

isLinked?string

Boolean flag; "true" enables, any other value disables

isPaid?string

Boolean flag; "true" enables, any other value disables

isSubmitted?string

Boolean flag; "true" enables, any other value disables

isVoided?string

Boolean flag; "true" enables, any other value disables

minAmount?string

Arbitrary-precision decimal, serialized as a string

Length1 <= length
maxAmount?string

Arbitrary-precision decimal, serialized as a string

Length1 <= length
from?string

Calendar date, YYYY-MM-DD

Length1 <= length
to?string

Calendar date, YYYY-MM-DD

Length1 <= length
dueDateFrom?string

Calendar date, YYYY-MM-DD

Length1 <= length
dueDateTo?string

Calendar date, YYYY-MM-DD

Length1 <= length
statuses?|array<>
vendorIds?|array<>
sortBy?string

Value in

  • "AMOUNT_DESC"
  • "AMOUNT_ASC"
  • "DESCRIPTOR_DESC"
  • "DESCRIPTOR_ASC"
  • "DUE_DATE_DESC"
  • "DUE_DATE_ASC"
  • "ISSUE_DATE_DESC"
  • "ISSUE_DATE_ASC"
  • "VENDOR_DESC"
  • "VENDOR_ASC"
count?integer
after?string

Response Body

application/json

curl -X GET "https://example.com/company/string/bills"
{  "items": [    {      "id": "string",      "userId": "string",      "vendorId": "string",      "issueDate": "string",      "dueDate": "string",      "externalId": "string",      "description": "string",      "submittedAt": "string",      "voidedAt": "string",      "paidAt": "string",      "status": "Deleted",      "currentness": "Current",      "amount": {        "amount": "string",        "currency": "str"      },      "provider": "string",      "documents": [        {          "file": {            "id": "string",            "filename": "string",            "contentType": "string",            "size": 0,            "isDeleted": true,            "downloadInfo": {              "signedUrl": "string",              "urlExpiresAt": "string"            },            "parseError": "string",            "parseType": "bill"          },          "uploadActorType": "SYSTEM_ACTOR"        }      ],      "lines": [        {          "id": "string",          "classifications": [            {              "class": "string",              "description": "string",              "segments": [                {                  "id": "string",                  "segment": "string",                  "description": "string"                }              ]            }          ],          "amount": {            "amount": "string",            "currency": "str"          },          "coaKey": "string",          "quantity": "string",          "unitPrice": "string",          "description": "string"        }      ]    }  ],  "pageInfo": {    "endCursor": "string",    "hasNextPage": true,    "total": 0  },  "total": {    "amount": "string",    "currency": "str"  }}

Schema refreshed 2026-11-11T18:57:48.657Z